      subroutine hec_crl
c
c noise correlation package
c
      implicit none
c
      include'hec_par.inc'      !shared parameters
      include'hec_datacard.inc' !user datacard values
c
c make system histograms if requested
c
      if (mk_crl .le. 0) return
c
c book system histograms
c
      call hec_crl_ini
c
c do one pass over data to fill some system histograms
c
      call hec_crl_pass1
c
c output and delete system histograms
c
      call hec_crl_ter
c
      print *, ' *** end of adc correlations analysis package'
c
      end
      


